error in publish a plugin using "publishPlugin"

已完成

I'm getting these error while trying to execute publishPlugin on gradle. What is the reason and how can I fix this ?

0

What's the version of the gradle-intellij-plugins you use? What's the id of you plugin?

0

Hello there, this is my plugin.xml file.

I am using gradle Version: 181.5087.20.

0

> I am using gradle Version: 181.5087.20.

There is no such version neither gradle nor gradle-intellij-plugin. It's an IDEA version.
 
I don't see any `framework for secure coding` plugin at plugins.jetbrains.com, you have to create it first before uploading updates.
1

I'm using  Gradle 4.4.

How do I create it ?

0

> I'm using  Gradle 4.4.

I was asking about gradle-intellij-plugin, but looks like it irrelevant.

> How do I create it ?

http://www.jetbrains.org/intellij/sdk/docs/basics/getting_started/publishing_plugin.html

0

I have developed a simple plugin.Actually what I need to know is  how I can deploy it to the Plugin repository ? 

Do I need to create a jar or executable ? What steps need to be follow....

0

> What steps need to be follow....

The link above contains steps.

The plugin can be compiled with buildPlugin task, it will be put in `build/distributions` directory.

1

Thank you for you assistance. I was able to manage it. :)

0

请先登录再写评论。